org.eclipse.ecf.provider.dnssd

## Class DnsSdServiceTypeID

- java.lang.Object
- - org.eclipse.ecf.core.identity.BaseID
  - - org.eclipse.ecf.discovery.identity.ServiceTypeID
    - - org.eclipse.ecf.provider.dnssd.DnsSdServiceTypeID

All Implemented Interfaces:
  Serializable, Comparable, Principal, org.eclipse.core.runtime.IAdaptable, ID, IServiceTypeID

Direct Known Subclasses:
  BnRDnsSdServiceTypeID

    public class DnsSdServiceTypeID
    extends ServiceTypeID
    implements IServiceTypeID

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.eclipse.ecf.discovery.identity.ServiceTypeID

`DELIM, namingAuthority, protocols, scopes, services, typeName`

### Fields inherited from class org.eclipse.ecf.core.identity.BaseID

`namespace`

### Fields inherited from interface org.eclipse.ecf.discovery.identity.IServiceTypeID

`DEFAULT_NA, DEFAULT_PROTO, DEFAULT_SCOPE`

### Constructor Summary

Constructors
Constructor and Description
`DnsSdServiceTypeID(Namespace ns, IServiceTypeID id)`
`DnsSdServiceTypeID(Namespace namespace, String aType)`

### Method Summary

### Methods inherited from class org.eclipse.ecf.discovery.identity.ServiceTypeID

`createType, equals, getInternal, getName, getNamingAuthority, getProtocols, getScopes, getServices, hashCode, namespaceCompareTo, namespaceEquals, namespaceGetName, namespaceHashCode, toString`

### Methods inherited from class org.eclipse.ecf.core.identity.BaseID

`compareTo, getAdapter, getNamespace, namespaceToExternalForm, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.discovery.identity.IServiceTypeID

`getInternal, getNamingAuthority, getProtocols, getScopes, getServices`

### Methods inherited from interface org.eclipse.ecf.core.identity.ID

`equals, getName, getNamespace, hashCode, toExternalForm`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface java.security.Principal

`implies, toString`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### DnsSdServiceTypeID

    public DnsSdServiceTypeID(Namespace ns,
                              IServiceTypeID id)

#### DnsSdServiceTypeID

    public DnsSdServiceTypeID(Namespace namespace,
                              String aType)
                       throws IDCreateException

Throws:
  `IDCreateException`